%only check active blocks
activeId = find(qtArray(1:qt.nDecomp,active)>0);
qtActive = qtArray(activeId,:);

%initialize 
    %(1-col for nPoints in block, 1-col for domain, n-col for features)
    %(n-col for crack, n-col for crack tip)
qt.nChecks = 1;
qt.nActive = size(activeId,1);
typeArray = zeros(qt.nActive,qt.nChecks);

%check by iterating over each block
for i = 1:1:qt.nActive   
    %find the corner nodes of each block
    upperEdge = qtActive(i,pos);%do not have to adjust position by -1 since sd array starts from 1 in indexing
    cNodes = [upperEdge;...
              upperEdge + [                0,qtActive(i,width)];...
              upperEdge + [qtActive(i,width),qtActive(i,width)];...
              upperEdge + [qtActive(i,width),                0]];
    %check domain
    typeArray(i,1) = checkDomain(cNodes,qt);
end

%%OVERRIDE
%typeArray(1,1) = 1;
%%

%adjust indexing to reflect deleted blocks
activeId(typeArray(:,1)==0,:) = [];
qtActive(typeArray(:,1)==0,:) = [];
qt.nActive = size(qtActive,1);
%Discard all blocks which are outside of area of interest (i.e. not domain or transition)
typeArray(typeArray(:,1)==0,:) = [];

%%  Clean up
    clear upperEdge i j k temp