figure
hold on

cID = find(crackBlocks>0);

%%  Plot all blocks
    for i = 1:1:length(cID)
        disp(i)
        if isempty(cBlocks(cID(i)).polygon)
            nodes = cBlocks(cID(i)).nodes;
            fill(nodes(:,1),nodes(:,2),'w');
            midX = mean(nodes(:,1));
            midY = mean(nodes(:,2));
            text(midX,midY,num2str(i))
        else
            for j = 1:1:length(cBlocks(cID(i)).polygon)
                nodes = cBlocks(cID(i)).polygon(j).nodes;
                switch cBlocks(cID(i)).polygon(j).groupId
                    case 1; col = 'b';
                    case 2; col = 'c';
                    case 3; col = 'g';
                end
                fill(nodes(:,1),nodes(:,2),col)
            end
        end
    end

%%  Plot crack polygons

%%  Scatter globalNodes to check if they were generated in the correct place
    %scatter(globalNodes(:,1),globalNodes(:,2),'m')
    
    %%  Overlay crack
    %scatter(crack(1).points(:,1),crack(1).points(:,2))
    %plot(crack(1).points(:,1),crack(1).points(:,2))

%%  Finish
    axis equal
    hold off