function [state,options,optchanged] = gaoutfun(options,state,flag)
    %declare persistant storage variable
    persistent stateHistory
    optchanged = false;
    
    %initialize state history variable 
    if isempty(stateHistory)
        stateHistory(options.MaxGenerations*options.PopulationSize+1).store = [];
    end
    %store something
    stateHistory(state.Generation+1).store = state;

    %output something
    if flag == 'done'
        assignin('base','gaPopulationHistory',stateHistory);
        assignin('base','gaOptions',options);
    end
end