qt.nGrid = length(grids);
strainPoly = [];

for i = 1:1:qt.nGrid
    %determine the sensor coordinates
    sensorLocation
    %find nearest existing nodes
    [~,loc] = ismembertol(sLoc,globalNodes,'ByRows',true);
    %find the elements, which contain or touch the sensor nodes
    counter = 0;
    for j = 1:1:qt.nActive
        if  isempty(cBlocks(j).polygon)
            id = oldInd(cBlocks(j).gID(1:end-1));
            P = zeros(1, max(max(id),max(loc)));
            P(loc) = 1;
            if any(P(id))
                %find gId index
                pos = find(P(id));
                %add current block to list
                strainPoly = [strainPoly;[j,0,pos,0]];
                counter = counter + 1;
            end
            P(loc) = 0;
            P(id)  = 1;
            if any(P(loc))
                %find gId index
                pos = find(P(loc));
                %add current block to list
                strainPoly(counter,4) = pos;
            end
        else
            for k = 1:1:length(cBlocks(j).polygon)
                id = oldInd(cBlocks(j).polygon(k).gID);
                P = zeros(1, max(max(id),max(loc)) ) ;
                P(loc) = 1;
                if any(P(id))
                    %find gId index
                    pos = find(P(id));
                    strainPoly = [strainPoly;[j,k,pos,0]];
                    counter = counter + 1;
                end
                P(loc) = 0;
                P(id)  = 1;
                if any(P(loc))
                    %find gId index
                    pos = find(P(loc));
                    %add current block to list
                    strainPoly(counter,4) = pos;
                end
            end
        end
    end
end

%create storage matrix for strains at sensor locations
strainAtNodes = zeros(4,size(sLoc,1));

for i = 1:1:size(strainPoly,1)
    if ~any(strainPoly(i,2)) %block
        %for each node of the block, compute the strains
        for j = strainPoly(i,3)
            [strain, ~] = calcStrainBlocks(cBlocks(strainPoly(i,1)), groups, FEM, j);
            id = strainPoly(i,4);
            %save in corresponding node position
            strainAtNodes(1:3,id) = strainAtNodes(1:3,id)+strain;
            %update counter
            strainAtNodes(4,id) = strainAtNodes(4,id) + 1; 
        end
    else %poly
        for j = strainPoly(i,3)
            if ~isfield(cBlocks(strainPoly(i,1)).polygon(strainPoly(i,2)),'cracked')
                [strain, ~] = calcStrainPolygons(cBlocks(strainPoly(i,1)).polygon(strainPoly(i,2)), FEM, j);
                id = strainPoly(i,4);
                %save in corresponding node position
                strainAtNodes(1:3,id) = strainAtNodes(1:3,id)+strain;
                %update counter
                strainAtNodes(4,id) = strainAtNodes(4,id) + 1; 
            end
        end
    end
end

%average the strains
for i = 1:1:size(sLoc,1)
    strainAtNodes(1:3,i) = strainAtNodes(1:3,i)./strainAtNodes(4,i);
end

f_calc = strainAtNodes(1:3,:);




















