%%  Reset
    clear cBlocks

%%  Input file
    [qt, poly, domain, feature, crack, groups, FEM, BC, grids] = Input_File_NumEx_1_ID();
      
%%  Prepocessor (hope this can be done in just around 1 sec)
    %parse input file by constructing explicit and implicit geometry representations
    preProcessor
    
    %unbalanced quadtree decomposition
    qtDecompUnbalanced
    
    %balance quadtree decomposition
    qtDecompBalance

    %classify blocks
    classifyBocks %part of domain?
    
    %determine general block information
    blockInfo %what block type?

    %split transition blocks based on their signed distance function
    splitTransitionBlocks %create polygons

%%  Processor 
    %precalc stiffness matrices
    precomputeK

    %determine stiffness matrix for all polygons
    polygonK