switch qt.type
    case 'crack'
%% crack
    for i = 1:1:qt.nCracks
        %scale crack points like previously feature points
        crack(i).points(:,1) = (crack(i).points(:,1) - qt.bBox(1,1))/qt.scale;
        crack(i).points(:,2) = (crack(i).points(:,2) - qt.bBox(1,2))/qt.scale;
        %reinitialize clean temporary 
        crackLine  = [];
        crackRange = [];
        
        %sd-function collinear to crack direction
        sP = crack(i).points(1,:); eP = crack(i).points(2,:);
        sdEval = sdLine(points, sP,eP);
        crackLine =  sdUnion([crackLine,sdEval]);
        
        %front tip sd-function perpendicular to crack direction
        dx = eP(1)-sP(1); dy = eP(2)-sP(2); sP = eP; eP = sP + [-dy,dx];
        sdEval = sdLine(points, sP,eP);
        crackRange =  sdUnion([crackRange,sdEval]);
        %back tip sd-function perpendicular to crack direction
        sP = crack(i).points(1,:); eP = sP + [dy,-dx];
        sdEval = sdLine(points, sP,eP);
        crackRange =  sdIntersect([crackRange,sdEval]);
        
        %save to proper matrix position
        qt.crack{i}.line  = crackLine;
        qt.crack{i}.range = crackRange;
    end
    
%cracks
    for i = 1:1:qt.nCracks
        qt.crack{i}.line  = reshape(qt.crack{i}.line ,qt.reshapeSize,qt.reshapeSize);
        qt.crack{i}.range = reshape(qt.crack{i}.range,qt.reshapeSize,qt.reshapeSize);
    end
    
    case 'inclusion'
        
end