switch qt.type
    case 'crack'
%%  determine into which blocks the crack points fall
    crackPoints = [];
    for i = 1:1:qt.nCracks
        crackPoints = [crackPoints;crack(i).points];
    end
    
%%  exclude those which are not in bounding box
    xv = [qt.bBox(1,1),qt.bBox(2,1),qt.bBox(2,1),qt.bBox(1,1),qt.bBox(1,1)]/qt.scale;
    yv = [qt.bBox(1,2),qt.bBox(1,2),qt.bBox(2,2),qt.bBox(2,2),qt.bBox(1,2)]/qt.scale;
    xq = crackPoints(:,1); yq = crackPoints(:,2);
    
    in = inpolygon(xq,yq,xv,yv);
    
    crackPoints = crackPoints(in,:);
    
%%  determine into which blocks the crack points fall
    bInd = ones(1,size(crackPoints,1));
        
    %determine into which blocks the points fall by returning their block index
    for i = 1:1:size(crackPoints,1)
        while (qtArray(bInd(i),active)~=1)
            quadrant = seedQuadrant(qtArray,crackPoints(i,:),bInd(i),width,pos);
            bInd(i) = qtArray(bInd(i),kids(quadrant));
        end
    end
    
%%  check if points fall into same block
    [a,b,c] = unique(bInd);
    if exist('sBlocks','var');clear sBlocks; end
    
    for i = 1:1:length(a)
        if length(find(c == i))>1
            sBlocks(i).block = a(i);
            sBlocks(i).nPoints = length(find(c == i));
            sBlocks(i).points = crackPoints((c == i),:);
        end
    end
    
    case 'inclusion'
        
end
    
    
%%  if two or more crack points fall into one block split and update blanced quadtree
    if exist('sBlocks','var')
    %split blocks as required
        %reset all seed points and inject at sBlocks
        qtArray(:,nSeeds) = 0;
        clear qtPoints
        qtPoints(qt.maxLeaf).points = [];
        
        for i = 1:1:length(sBlocks)
            qtArray(sBlocks(i).block,nSeeds) = sBlocks(i).nPoints;
            qtPoints(sBlocks(i).block).points = sBlocks(i).points;
        end
        
    %perform splitting
        id = 1;
        while ((qtArray(id,width) ~= 0)  && id < qt.maxLeaf)
            %criteria to split parent block and append children
            if (    (qtArray(id,nSeeds) >  1             )...        %direct check
                 && (qtArray(id,width)  >= 2*qt.decompMin)...        %direct check
               )
                %split block and append four children to qtArray, then increment "id"
                    %update parent's information
                    qtArray(id,kids)   = qt.nDecomp+1 : qt.nDecomp+qt.nKids;
                    qtArray(id,active) = 0;
                    qtArray(id,nSeeds) = 0;
                    %determine which seeds belong to which quadrant
                    [sQ1,sQ2,sQ3,sQ4] = seedsQuadrant(qtArray,qtPoints,id,width,pos);
                    %update kid's information
                    for i = 1:1:qt.nKids
                        kidId = qtArray(id,kids(i));
                        qtArray(kidId,parent) = id;
                        qtArray(kidId,width ) = qtArray(id,width)/ 2;
                        qtArray(kidId,active) = 1;
                        qtArray(kidId,level ) = qtArray(id,level) + 1;
                        %distribute seeds as they are positioned via function call
                        switch i
                            case 1; qtArray(kidId,pos) = qtArray(id,pos) + [qtArray(kidId,width),qtArray(kidId,width)];
                                    qtPoints(kidId).points = sQ1; qtArray(kidId,nSeeds) = size(qtPoints(kidId).points,1);
                            case 4; qtArray(kidId,pos) = qtArray(id,pos) + [qtArray(kidId,width),                  0];
                                    qtPoints(kidId).points = sQ2; qtArray(kidId,nSeeds) = size(qtPoints(kidId).points,1);
                            case 3; qtArray(kidId,pos) = qtArray(id,pos) + [                  0,                  0];
                                    qtPoints(kidId).points = sQ3; qtArray(kidId,nSeeds) = size(qtPoints(kidId).points,1);
                            case 2; qtArray(kidId,pos) = qtArray(id,pos) + [                  0,qtArray(kidId,width)];
                                    qtPoints(kidId).points = sQ4; qtArray(kidId,nSeeds) = size(qtPoints(kidId).points,1);
                        end
                    end
                    qt.nDecomp = qt.nDecomp + qt.nKids;
            end
            id = id + 1;
        end
        
    %balance quadtree as required
    qtDecompBalance

    end 

