function [quadrant] = seedQuadrant(qtArray,qtPoint,id,size,pos)
        %determine center of block
        cx = (qtArray(id,size)-1)/2+qtArray(id,pos(1));
        cy = (qtArray(id,size)-1)/2+qtArray(id,pos(2));

        a = atan2(qtPoint(:,2)-cy(1),qtPoint(:,1)-cx(1));

        if ( a>    0 && a<=   pi/2); quadrant = 1;end
        if ( a> pi/2 && a<=   pi  ); quadrant = 2;end
        if ( a>-pi   && a<=  -pi/2); quadrant = 3;end
        if ( a>-pi/2 && a<=      0); quadrant = 4;end
end