function [class] = checkBCBlock(cNodes,sdGrid)
    %evaluate signed distance function at these points
    sdEval = zeros(1,4);
    for i = 1:1:4
        sdEval(i) = sdGrid(cNodes(i,2),cNodes(i,1));
    end
    sdEval = find(sdEval<0);
    
    %partition based on if any positive values are present
    test = size(sdEval,2);
    switch test
        case 0;     class = 0; %outside domain
        case 4;     class = 1; %inside domain
        otherwise;  class = 2; %transition block
    end

end