%%  Plot currently active blocks
    figure
    hold on
    %plot regions
    for i = 1:1:length(typeArray)
        if typeArray(i,1) >0
        ind = i
        sNX = qtActive(ind,pos(1));
        eNX = qtActive(ind,width);
        sNY = qtActive(ind,pos(2));
        eNY = qtActive(ind,width);
        poly = [[sNX,sNX+eNX,sNX+eNX,sNX,sNX]',[sNY,sNY,sNY+eNY,sNY+eNY,sNY]']-1;
        midX = mean(poly(:,1));
        midY = mean(poly(:,2));
        vec = [0.8,0.8,0.8]; %green
        fill(poly(:,1),poly(:,2),vec)
        text(midX,midY,num2str(i))
        end
    end
    axis equal
    %xlim([500 600])
    %ylim([100 300])
   
%%  Overlay domain and features
    [face1, vert1] = poly2fv(qt.domainExp(:,1),qt.domainExp(:,2));
    [face2, vert2] = poly2fv(qt.featureExp{1,1}(:,1),qt.featureExp{1,1}(:,2));
    [face3, vert3] = poly2fv(qt.featureExp{1,2}(:,1),qt.featureExp{1,2}(:,2));
    
    patch('Faces', face1, 'Vertices', vert1, 'FaceColor', 'r', ...
    'EdgeColor', 'none','FaceAlpha',0.3)
    patch('Faces', face2, 'Vertices', vert2, 'FaceColor', 'r', ...
    'EdgeColor', 'none','FaceAlpha',0.3)
    patch('Faces', face3, 'Vertices', vert3, 'FaceColor', 'r', ...
    'EdgeColor', 'none','FaceAlpha',0.3)

%%  Overlay seed pointspoints
    scatter(qt.domainExp(:,1),qt.domainExp(:,2),'+')
    scatter(qt.featureExp{1,1}(:,1),qt.featureExp{1,1}(:,2),'+')
    scatter(qt.featureExp{1,2}(:,1),qt.featureExp{1,2}(:,2),'+')
    
%%  scatter crack
    plot(crack.points(:,1),crack.points(:,2))
    hold off
    
%%  Clean up
    clear -regexp ^sN ^eN ^mid ^ve ^face
    clear i