%%  Not a bad way and reasonable expedient that does not require the use of signed distance functions

%%  construct minimal domain polygon features
    chosenDiscretization = 25;
    for i = 1:1:qt.nDomains
        switch domain(i).type{1}
            case 'polyline'
                domain(i).seeds = ones(1,size(domain(i).edges,1))
            case 'ellipse'
                domain(i).seeds = chosenDiscretization
            otherwise; disp('case not implemented yet')
        end
    end
    
    for i = 1:1:qt.nFeatures
        switch feature(i).type{1}
            case 'polyline'
                feature(i).seeds = ones(1,size(feature(i).edges,1))
            case 'ellipse'
                feature(i).seeds = chosenDiscretization
            otherwise; disp('case not implemented yet')
        end
    end
    
%%  Perform clipping of reduced polygon
    clipGroups

%%  Plot resulting polygon
    hold on
    scatter(qt.domainExp(:,1),qt.domainExp(:,2))
    axis equal
    
%%  Accumulate all active blocks into (x,y)-vectors
    blocks = [];
    for i = 1:1:qt.nActive
        blocks = [blocks;cBlocks(i).nodes;[NaN,NaN]];
    end
    blocks(end,:) = [];
    
%%  Perform polyxpoly
tic
    [xi,yi,ii] = polyxpoly(qt.domainExp(:,1),qt.domainExp(:,2),blocks(:,1),blocks(:,2));
toc
scatter(xi,yi)
hold off

%polyxpoly not supported yet for code generation
function [xi,yi,ii] = polyTest(domain,blocks)
        [xi,yi,ii] = polyxpoly(domain(:,1),domain(:,2),blocks(:,1),blocks(:,2));
end