function [pointsSorted] = sortCCW(points)
    divider = find(isnan(points(:,1)));
    range = [];
    for i = 1:1:length(divider)+1
        if i == 1
            range(i,:) = [1,divider(i)-1];
            
        elseif i == length(divider)+1
            range(i,:) = [divider(i-1)+1,length(points)];
        else
            range(i,:) = [divider(i-1)+1,divider(i)-1];
        end
    end
    
    pointsSorted = [];
    for i = 1:1:length(range(:,1))
        x = points(range(i,1):range(i,2),1);
        y = points(range(i,1):range(i,2),2);
        cx = mean(x);
        cy = mean(y);

        a = atan2(y-cy,x-cx);

        [~, order] = sort(a);

        x = x(order);
        y = y(order);
        
        pointsSorted = [pointsSorted;[x,y];[nan,nan]];
    end
    pointsSorted(end,:) = [];
end