function [crack] = convertCrack_2pts(x)
    ind = [1,6;7,12;13,18;19,24];
    for i = 1:1:4
        start = 0.0156*0.5;
        distance = 1-2*start;
        pos = ind(i,1):ind(i,2);
        n = x(pos);
        I = bi2de(n,'left-msb');
        P = I/(bi2de(ones(1,length(n))));
        switch P
            case 0
                start = start-2*start;
            case 1
                start = start+2*start;
        end
        crack(i) = start + P*distance;
    end
end
