if isfield(qt,'fixedPoints')
    [~,tSort] = sort(convertNodeID);
    plotNodeID = closestNodes(tSort);
    
    strainHor = strainSave(1,plotNodeID(1:12));
    strainVer = strainSave(2,plotNodeID(1:12));
    
    strainEH = -[48.5,83.5,101.5,105.5,87.5,49.0,52.5,95.0,97,104,91,48];
    strainEV = [176.1,297,363.2,367.6,310.0,176.8,185.3,310.3,364.3,365.8,314.4,168.7];
    
    strainEH = fliplr(strainEH);
    strainEV = fliplr(strainEV);
    
    x = 1:1:12;
    
    %figure
    %hold on
    %plot(x,strainHor);
    %plot(x,strainEH)
    %legend('SBFEM','Eleni','Location','best')
    %hold off
    figure
    hold on
    plot(x,strainVer);
    plot(x,strainEV)
    legend('SBFEM','Eleni','Location','best')
    hold off
    
end