%%  Precompute the size of fullNodeMatrix and preallocate for speed
    counter = 0;
    for i = 1:1:qt.nActive
        if  isempty(cBlocks(i).polygon)
            counter = counter + size(cBlocks(i).nodes,1);
        else
            for j = 1:1:length(cBlocks(i).polygon)
                counter = counter + size(cBlocks(i).polygon(j).nodes,1);
            end
        end
    end
    fullNodeMatrix = zeros(counter,2);
%%  Initialize node counter and global DOF range identifers of each polygon/blocks
    counter = 1;
    for i = 1:1:qt.nActive
        if  isempty(cBlocks(i).polygon)
            increment = size(cBlocks(i).nodes,1)-1;
            cBlocks(i).gID = [counter:counter+increment];
            fullNodeMatrix(cBlocks(i).gID,:) = cBlocks(i).nodes;
            counter = counter + increment+1;
        else
            for j = 1:1:length(cBlocks(i).polygon)
                increment = size(cBlocks(i).polygon(j).nodes,1)-1;
                cBlocks(i).polygon(j).gID = [counter:counter+increment];
                fullNodeMatrix(cBlocks(i).polygon(j).gID,:) = cBlocks(i).polygon(j).nodes;
                counter = counter + increment+1;
            end
        end
    end
    
%%  Unique with tolerance the nodes
    [globalNodes, newInd, oldInd] = uniquetol(fullNodeMatrix,'ByRows',true);
    
    FEM.nDOF = size(globalNodes,1)*FEM.DOFPerNode;
    
%%  Clean up
    clear alias1 alias2 cPoints nodeCounter nVec offsetC i j
    
    

    