function [points] = subdivideSide_linear(edges, seeds)
    %test if length of array properly specified
    if length(edges) == length(seeds)
        points = [];
        edges = [edges;edges(1,:)];
        for i = 1:1:length(edges)-1
            sP = edges(i  ,:);
            eP = edges(i+1,:);
            xCoord = linspace(sP(1,1),eP(1,1),seeds(i));
            yCoord = linspace(sP(1,2),eP(1,2),seeds(i));
            xCoord = xCoord(1:end);
            yCoord = yCoord(1:end);
            points = [points;[xCoord',yCoord']];
        end
        points = unique(points,'rows','stable');

    else
        disp('improperly specified amount of seeds. Check number of sides specified')
    end


%plot(edges(:,1),edges(:,2))
end