qt.SIFBlocks = [];
for i = 1:1:qt.nActive
    if ~isempty(cBlocks(i).polygon)
        for j = 1:1:length(cBlocks(i).polygon)
            cBlocks(i).polygon(j).E    = groups(cBlocks(i).polygon(j).groupId).E;
            cBlocks(i).polygon(j).v    = groups(cBlocks(i).polygon(j).groupId).v;
            cBlocks(i).polygon(j).nDOF = size(cBlocks(i).polygon(j).nodes,1)*FEM.DOFPerNode;
                
            if ~isfield(cBlocks(i).polygon(j),'cracked')
                cBlocks(i).polygon(j).numberOfElements = size(cBlocks(i).polygon(j).nodes,1);
                cBlocks(i).polygon(j).localElements = zeros(cBlocks(i).polygon(j).numberOfElements, FEM.nodesPerElement);
                for k = 1:1:cBlocks(i).polygon(j).numberOfElements
                    start = (k-1)*(FEM.nodesPerElement - 1) + 1;
                    cBlocks(i).polygon(j).localElements(k,:) = start: start + FEM.nodesPerElement - 1;
                end
                cBlocks(i).polygon(j).localElements(end,end) = 1;

                [cBlocks(i).polygon(j).K,cBlocks(i).polygon(j).Q,cBlocks(i).polygon(j).lambda] =...
                    getStiffnessMatrix_Schur(FEM,cBlocks(i).polygon(j));
            else
                cBlocks(i).polygon(j).numberOfElements = size(cBlocks(i).polygon(j).nodes,1)-1;
                cBlocks(i).polygon(j).localElements = zeros(cBlocks(i).polygon(j).numberOfElements, FEM.nodesPerElement);
                for k = 1:1:cBlocks(i).polygon(j).numberOfElements
                    start = (k-1)*(FEM.nodesPerElement - 1) + 1;
                    cBlocks(i).polygon(j).localElements(k,:) = start: start + FEM.nodesPerElement - 1;
                end
                
                [cBlocks(i).polygon(j).K,cBlocks(i).polygon(j).Q,cBlocks(i).polygon(j).lambda] =...
                    getStiffnessMatrix_Schur(FEM,cBlocks(i).polygon(j));
                
                %remember the block and polygon identifiers to later use for SIF calculation
                qt.SIFBlocks = [qt.SIFBlocks; [i,j]];
            end
            
        end
        
    end
    
end
